# Netdata haproxy ingress manifest

## Introduction

This manifest deploys an haproxy ingress instance to a Netdata instance,
previously installed with helm.

## Links

* https://www.netdata.cloud/
* https://github.com/netdata/helmchart
* https://learn.netdata.cloud/docs/netdata-agent/installation/kubernetes

## Installation

First create a namespace to hold the netdata objects;

```
$ kubectl create ns netdata
```

The following helm install command line is set up to use the nfs-client
StorageClass for persistent storage of Netdata data (it uses node local
directory storage by default). It also disables the built in nginx ingress
configuration that will be replaced with an ingress object using the
haproxy ingress controller.

```
$ helm install netdata netdata/netdata --namespace netdata \
    --set parent.database.storageclass=nfs-client          \
    --set parent.alarms.storageclass=nfs-client            \
    --set k8sState.persistence.storageclass=nfs-client     \
    --set ingress-enabled=false
```

Finally, create the ingress object;

```
$ kubectl apply -f netdata_ingress.yml -n netdata
```

